Subject: Re: bug#6637: 24.0.50; kill ring being seriously polluted

From: Angelo Graziosi <[email-masked]>
Date: Sat, 17 Jul 2010 10:37:26 +0200

Il 17/07/2010 4.37, Chong Yidong ha scritto:
> Angelo Graziosi<[email-masked]>  writes:
>
>>> Go to any X application (firefox, etc) with a text field.
>>> Holding shift, press the arrow keys and select some text.
>>> Release shift, and press another down arrow to deselect it.
>>>
>>> In Emacs 23 (in the absence of latest changes):
>>> Run `emacs -Q'.
>>> C-y
>>>
>>> The text you selected is yanked into the buffer.  This is because the
>>
>> I have done *exactly* what you suggest on Kubuntu 10.04, with GTK
>> build of Emacs24 trunk rev.100832: it DOS NOT paste the selected text
>> but garbage (something in the clipboard form previous selections...)
>
> I tested the recipe a vanilla build of Emacs 23.2 from the tarball, with
> `emacs -Q'; the selected text is indeed pasted.

I do not doubt it works with Emacs 23! The problems start after this [*] :(.

> However, it seems that the behavior of Firefox differs from that of
> Gedit and Openoffice; those disown the selection after deselection.
> Perhaps the behavior of Firefox is aberrant.  Assuming the latter is
> more standard, I will look into changing Emacs' behavior to follow it.

Really I tested not only with FF but also with Konqueror: same results.

Anyway, other problems occur, say with rev. >= 100832 (but perhaps also 
with prev.):

emacs -Q &

Now double clicking on the text of scratch buffer freezes Emacs and the 
blinking cursor disappears. Only clicking on the menu bar items, and 
then in the scratch buffer, revert the freeze.

Ciao,
Angelo.

---
[*] http://lists.gnu.org/archive/html/emacs-devel/2010-07/msg00720.html